Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Apr 2021 20:06:03 +0200

Stefan Kangas <[email-masked]> writes:

> Is this the scenario you have in mind?
>
>     (setq visible-bell t)
>     (setq ring-bell-function #'ignore)
>     (defun foo () (interactive) (ding))
>
>     M-x foo RET
>
> This gives no visible bell here.

Oh, I see -- I imagined that visible-bell had precedence over
ring-bell-function (without testing that).

But then I guess flipping the default on visible-bell won't have the
adverse effects on the popular Emacs distributions that I was worried
about?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no